#include "bits/stdc++.h"
#include "vision.h"
// #include "grader.cpp"

using namespace std;

#define SZ(s) (int)s.size()

vector<int> getVisionPattern1d() {
    return {2, 2, 2, 3, 2, 2, 4, 2, 2, 2};
}

int getMove1d(vector<int> v) {
    int n = SZ(v);
    if(v[n / 2] == 2) {
        for(int i = 0; i < n; i++) {
            if(v[i] != 2) return i;
        }
    }
    if(v[n / 2] == 3) {
        for(int i = 0; i < n; i++) {
            if(v[i] == 4) return i;
        }
    }
    if(v[0] == 3) return 0;
    return n-1;
}

vector<vector<int>> getVisionPattern2d() {
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return {0, 0};
}
